#!/bin/bash
bugrev=2785

#Check if coverage is being run. If so, don't use time limit.
if [ `basename $2` = "coverage" ] ; then
    cov=0
else
    cov=1
fi

run_test()
{
    cd lighttpd/tests
    if [ $cov -eq 0 ] ; then
        /usr/bin/perl /root/mountpoint-genprog/genprog-many-bugs/lighttpd-bug-2785-2786/lighttpd-run-tests.pl $1
    else
        /root/mountpoint-genprog/genprog-many-bugs/lighttpd-bug-2785-2786/limit /usr/bin/perl /root/mountpoint-genprog/genprog-many-bugs/lighttpd-bug-2785-2786/lighttpd-run-tests.pl $1
    fi
    RESULT=$?
    killall -9 lighttpd &> /dev/null
    cd ../../
    if [[ -f /root/mountpoint-genprog/genprog-many-bugs/lighttpd-bug-2785-2786/lighttpd/tests/tmp/lighttpd/logs/lighttpd.error.log ]]
    then
	rm /root/mountpoint-genprog/genprog-many-bugs/lighttpd-bug-2785-2786/lighttpd/tests/tmp/lighttpd/logs/lighttpd.error.log
    fi
    return $RESULT
}
case $1 in
    p1) run_test 1 && exit 0 ;; 
    p2) run_test 2 && exit 0 ;; 
    p3) run_test 3 && exit 0 ;; 
    p4) run_test 4 && exit 0 ;; 
    p5) run_test 5 && exit 0 ;; 
    p6) run_test 6 && exit 0 ;; 
    p7) run_test 7 && exit 0 ;; 
    p8) run_test 8 && exit 0 ;; 
    p9) run_test 9 && exit 0 ;; 
    p10) run_test 10 && exit 0 ;; 
    p11) run_test 11 && exit 0 ;; 
    p12) run_test 12 && exit 0 ;; 
    p13) run_test 13 && exit 0 ;; 
    p14) run_test 14 && exit 0 ;; 
    p15) run_test 15 && exit 0 ;; 
    p16) run_test 16 && exit 0 ;; 
    p17) run_test 17 && exit 0 ;; 
    p18) run_test 18 && exit 0 ;; 
    p19) run_test 20 && exit 0 ;; 
    p20) run_test 21 && exit 0 ;; 
    n1) run_test 19 && exit 0 ;; 
esac
exit 1